﻿                                                            MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS3000C (1 yr) Bandwidth IEEE /9100+S6
INSTRUMENT:            Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /9100+S6
INSTRUMENT:            Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /9100+S6
DATE:                  2009-08-17 16:05:07
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       9
NUMBER OF LINES:       281
CONFIGURATION:         Datron 9100 (S6)
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        TDS 3012C, TDS 3014C, TDS 3032C, TDS 3034C, TDS 3052C, TDS 3054C
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TDS3000C Channel Select IEEE
#        Sub Tek TDS3000C Trigger Chk and Level Adj IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Tek TDS3000C Channel Select IEEE

  1.002  JMPL         BANDWIDTH                         PSUBI("Bandwidth")
  1.003  JMPL         TRIGGER_FULL_BW                   PSUBI("Full BW Trig")
  1.004  JMPL         TRIGGER_50MHZ                     PSUBI("50 MHz Trig")
  1.005  DISP         Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment step number

# ********************** BANDWIDTH ************************************

  2.001  LABEL        BANDWIDTH

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  RSLT         =BANDWIDTH
  2.005  ENDIF

  2.006  RSLT         =
  2.007  RSLT         =Channel [V @Chan]
  2.008  HEAD         BANDWIDTH (CH [V @Chan]): 100 mV/div
  2.009  TARGET
  2.010  IEEE2        ACQUIRE:MODE AVERAGE;NUMAVG 16
  2.011  IEEE2        TRIG:A:EDGE:SOURCE VERT;COUP NOISE
  2.012  IEEE2        HOR:SCA 10E-6
  2.013  IEEE2        CH[V @Chan]:COUP DC;IMP FIFTY;SCA 100E-3
  2.014  IEEE2        MEASU:MEAS1:SOURCE1 CH[V @Chan];TYP RMS;STATE ON

# Set the output of the calibrator so the RMS measurement is
# between 211 mV and 213 mV.
  2.015  MATH         MEM = 212; MEM1 = MEM

  2.016  DO
  2.017  MATH         MEM = MEM1 + (212 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  2.018  IF           MEM > 400 || MEM < 100
  2.019  MATH         MEM = 212
  2.020  ENDIF

  2.021  9100         mV                           50kH           LS SC S  L
  2.022  WAIT         [D1000]
  2.023  IEEE2        MEASU:MEAS1:VAL?[I]
  2.024  MATH         MEM = MEM / 1E-3
  2.025  UNTIL        (MEM >= 211) && (MEM <= 213)

# Last calibrator amplitude setting is in MEM1.
  2.026  MATH         MEM = MEM1
  2.027  IEEE2        HOR:SCA 10E-9

  2.028  IF           @Bandwidth == 100E+6
  2.029  IEEE2        HOR:SCA 10E-9
  2.030  9100         mV                           101MH          LS SC S  L
  2.031  ELSEIF       @Bandwidth == 300E+6
  2.032  IEEE2        HOR:SCA 2E-9
  2.033  9100         mV                           301MH          LS SC S  L
  2.034  ELSE
  2.035  IEEE2        HOR:SCA 1E-9
  2.036  9100         mV                           501MH          LS SC S  L
  2.037  ENDIF

  2.038  WAIT         -t 5 System settling...
  2.039  IEEE2        MEASU:MEAS1:VAL?[I]
  2.040  MATH         MEM = MEM / 1E-3
  2.041  MATH         RstStr = FMT(MEM, "%.1f") & " mVrms"
  2.042  MATH         RstStr = " Bound >= 150 mVrms, result: " & RstStr
  2.043  EVAL   -e MEM >= 150 : [V RstStr]

  3.001  9100         *                                                 S
  3.002  HEAD
  3.003  END

  3.004  EVAL   Increment step number

# ********************** TRIGGER_FULL_BW ****************************

  4.001  LABEL        TRIGGER_FULL_BW

  4.002  IF           @Chan == 1
  4.003  RSLT         =
  4.004  RSLT         =TRIGGER SENSITIVITY AT FULL BANDWIDTH
  4.005  ENDIF

  4.006  RSLT         =
  4.007  RSLT         =Channel [V @Chan]
  4.008  HEAD         TRIGGER SENS AT FULL BW (CH [V @Chan])
  4.009  HEAD         -2 RISING SLOPE
  4.010  TARGET
  4.011  IEEE2        ACQUIRE:MODE AVERAGE;NUMAVG 16
  4.012  IEEE2        TRIG:A:EDGE:SOURCE VERT
  4.013  IEEE2        HOR:SCA 10E-9
  4.014  IEEE2        CH[V @Chan]:IMP FIFTY;SCA 500E-3
  4.015  IEEE2        MEASU:MEAS1:SOURCE1 CH[V @Chan];TYP PK2;STATE ON

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 500 mV.
  4.016  MATH         MEM = 2500; MEM1 = MEM

  4.017  DO
  4.018  MATH         MEM = MEM1 + (2500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  4.019  IF           MEM > 5560 || MEM < 10.656
  4.020  MATH         MEM = 2500
  4.021  ENDIF

  4.022  IF           @Bandwidth == 100E+6
  4.023  9100         mVpp                         100MH          LS SC S  L
  4.024  ELSEIF       @Bandwidth == 300E+6
  4.025  9100         mVpp                         300MH          LS SC S  L
  4.026  ELSE
  4.027  9100         mVpp                         500MH          LS SC S  L
  4.028  ENDIF

  4.029  MATH         CalVal = MEM1

  4.030  WAIT         [D1000]
  4.031  IEEE2        MEASU:MEAS1:VAL?[I]
  4.032  MATH         MEM = MEM / 1E-3
  4.033  UNTIL        (MEM >= 2445) && (MEM <= 2505)

  4.034  MATH         MEM = CalVal / 5

  4.035  IF           @Bandwidth == 100E+6
  4.036  9100         mVpp                         100MH          LS SC S  L
  4.037  ELSEIF       @Bandwidth == 300E+6
  4.038  9100         mVpp                         300MH          LS SC S  L
  4.039  ELSE
  4.040  9100         mVpp                         500MH          LS SC S  L
  4.041  ENDIF

  4.042  MATH         CalOutVal = MEM1
  4.043  IEEE2        MEASU:MEAS1:VAL?[I]
  4.044  MATH         @PeakVal = MEM / 2
  4.045  CALL         Sub Tek TDS3000C Trigger Chk and Level Adj IEEE
  4.046  EVAL   -e @Trigged : Rising Slope, Stable Trigger

  5.001  HEAD         -2 FALLING SLOPE
  5.002  TARGET
  5.003  IEEE2        TRIGGER:A:EDGE:SLOPE FALL
  5.004  MATH         MEM = CalOutVal

  5.005  IF           @Bandwidth == 100E+6
  5.006  9100         mVpp                         100MH          LS SC S  L
  5.007  ELSEIF       @Bandwidth == 300E+6
  5.008  9100         mVpp                         300MH          LS SC S  L
  5.009  ELSE
  5.010  9100         mVpp                         500MH          LS SC S  L
  5.011  ENDIF

  5.012  IEEE2        MEASU:MEAS1:VAL?[I]
  5.013  MATH         @PeakVal = MEM / 2
  5.014  CALL         Sub Tek TDS3000C Trigger Chk and Level Adj IEEE
  5.015  EVAL   -e @Trigged : Falling Slope, Stable Trigger

  6.001  HEAD         -2
  6.002  HEAD
  6.003  END

  6.004  EVAL   Increment step number

# ********************** TRIGGER_50MHZ ********************************

  7.001  LABEL        TRIGGER_50MHZ

  7.002  IF           @Chan == 1
  7.003  RSLT         =
  7.004  RSLT         =TRIGGER SENSITIVITY AT 50 MHZ
  7.005  ENDIF

  7.006  RSLT         =
  7.007  RSLT         =Channel [V @Chan]
  7.008  HEAD         TRIGGER SENS AT 50 MHZ (CH [V @Chan])
  7.009  HEAD         -2 RISING SLOPE
  7.010  TARGET
  7.011  IEEE2        ACQUIRE:MODE AVERAGE;NUMAVG 16
  7.012  IEEE2        TRIG:A:EDGE:SOURCE VERT
  7.013  IEEE2        HOR:SCA 100E-9
  7.014  IEEE2        CH[V @Chan]:IMP FIFTY;SCA 500E-3
  7.015  IEEE2        MEASU:MEAS1:SOURCE1 CH[V @Chan];TYP PK2;STATE ON

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 500 mV.
  7.016  MATH         MEM = 3000; MEM1 = MEM

  7.017  DO
  7.018  MATH         MEM = MEM1 + (3000 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  7.019  IF           MEM > 5560 || MEM < 10.656
  7.020  MATH         MEM = 3000
  7.021  ENDIF

  7.022  9100         mVpp                         50MH           LS SC S  L
  7.023  MATH         CalVal = MEM1
  7.024  WAIT         [D1000]
  7.025  IEEE2        MEASU:MEAS1:VAL?[I]
  7.026  MATH         MEM = MEM / 1E-3
  7.027  UNTIL        (MEM >= 2995) && (MEM <= 3005)

  7.028  MATH         MEM = CalVal / 10
  7.029  9100         mVpp                         50MH           LS SC S  L
  7.030  MATH         CalOutVal = MEM1
  7.031  IEEE2        MEASU:MEAS1:VAL?[I]
  7.032  MATH         @PeakVal = MEM / 2
  7.033  CALL         Sub Tek TDS3000C Trigger Chk and Level Adj IEEE
  7.034  EVAL   -e @Trigged : Rising Slope, Stable Trigger

  8.001  HEAD         -2 FALLING SLOPE
  8.002  TARGET
  8.003  IEEE2        TRIGGER:A:EDGE:SLOPE FALL
  8.004  MATH         MEM = CalOutVal
  8.005  9100         mVpp                         50MH           LS SC S  L
  8.006  IEEE2        MEASU:MEAS1:VAL?[I]
  8.007  MATH         @PeakVal = MEM / 2
  8.008  CALL         Sub Tek TDS3000C Trigger Chk and Level Adj IEEE
  8.009  EVAL   -e @Trigged : Falling Slope, Stable Trigger

  9.001  9100         *                                                 S
  9.002  HEAD         -2
  9.003  HEAD
  9.004  END
